[Mapbender-commits] r6506 - trunk/build/osgeolive

svn_mapbender at osgeo.org svn_mapbender at osgeo.org
Sat Jul 3 06:07:20 EDT 2010


Author: tbaschetti
Date: 2010-07-03 10:07:20 +0000 (Sat, 03 Jul 2010)
New Revision: 6506

Added:
   trunk/build/osgeolive/install_mapbender.sh
Log:
osgeo livedvd installscript mapbender


Added: trunk/build/osgeolive/install_mapbender.sh
===================================================================
--- trunk/build/osgeolive/install_mapbender.sh	                        (rev 0)
+++ trunk/build/osgeolive/install_mapbender.sh	2010-07-03 10:07:20 UTC (rev 6506)
@@ -0,0 +1,79 @@
+#!/bin/sh
+# Copyright (c) 2009 The Open Source Geospatial Foundation.
+# Licensed under the GNU LGPL.
+# 
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published
+# by the Free Software Foundation, either version 2.1 of the License,
+# or any later version.  This program is distributed in the hope that
+# it will be useful, but WITHOUT ANY WARRANTY, without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU Lesser General Public License for more details, either
+# in the "LICENSE.LGPL.txt" file distributed with this software or at
+# web page "http://www.fsf.org/licenses/lgpl.html".
+
+# About:
+# =====
+# This script will install mapbender
+
+# Running:
+# =======
+# sudo ./install_mapbender.sh
+
+# Requires: Apache2, PHP5, postgresql/postgis
+#
+# Uninstall:
+# ============
+# sudo rm -rf /opt/mapbender/
+
+# live disc's username is "user"
+USER_NAME="user"
+USER_HOME="/home/$USER_NAME"
+TMP_DIR="/tmp/build_mapbender"
+INSTALLURL="http://www.mapbender.org/download/"
+INSTALLFILE="mapbender_2.6.1"
+mkdir -p "$TMP_DIR"
+
+# Install mapbender dependencies.
+echo "Installing mapbender"
+
+apt-get install --yes  php5 php5-curl 
+
+if [ ! -x "`which wget`" ] ; then
+    echo "ERROR: wget is required, please install it and try again"
+    exit 1
+fi
+
+cd "$TMP_DIR"
+if [ ! -e "$INSTALLFILE".zip] ; then 
+   wget -O mapbender_osgeo.zip --progress=dot:mega \
+      "$INSTALLURL""$INSTALLFILE".zip
+else
+    echo "... Mapbender already downloaded"
+fi
+
+# uncompress mapbender
+unzip -o "mapbender_osgeo.zip"
+cp -R $INSTALLFILE/ /opt/mapbender
+chmod -R uga+r /opt/mapbender
+chown -R www-data:www-data /opt/mapbender
+
+
+#Add Launch icon to desktop
+if [ ! -e /usr/share/applications/mapbender.desktop ] ; then
+   cat << EOF > /usr/share/applications/mapbender.desktop
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=Mapbender
+Comment=Mapbender
+Categories=Application;Internet;Relief;
+Exec=firefox /opt/mapbender/readme.html
+Icon=gnome-globe
+Terminal=false
+StartupNotify=false
+EOF
+fi
+cp /usr/share/applications/mapbender.desktop "$USER_HOME/Desktop/"
+
+echo "Done installing Mapbender"


Property changes on: trunk/build/osgeolive/install_mapbender.sh
___________________________________________________________________
Added: svn:executable
   + *



More information about the Mapbender_commits mailing list